Results 1 to 4 of 4

Thread: libstdc++.so.5 disappeared

  1. #1
    enricong NNTP User

    Default libstdc++.so.5 disappeared

    I am running Suse 9.1. The system cannot be connected to the internet but I can put in CDs and DVDs and USB drives.

    I wanted to update the version of python on the system but I must upgrade glibc and a bunch of other files.

    I decided to download opensuse 11 and burn it to a DVD thinking that all the packages I have should be there and the yast package manager would handle it all for me.

    I added the DVD files to the install source list, however something broke. If I try to start the yast install module, it will try to load then crash with a seg. fault.

    If I change the install source back to the way it was before, the module will load up, but almost all packages report a dependency error saying libstdc++.so.5 is missing eventhough the file is there. It seems that the version of libstdc++ it thinks I have does not include libstdc++.so.5 eventhough the version with it is clearly in the rpmdb.

    I tried to ignore all this and manually install using rpm but I run into circular dependancy conflicts.

    I'd appreciate any advice here. I cannot re-install and cannot connect to the internet.

  2. #2

    Default Re: libstdc++.so.5 disappeared

    I added the DVD files to the install source list,
    Without installing 11.X before?

    Forget it, you can not install packages from 11.X into a 9.1.

  3. #3
    enricong NNTP User

    Default Re: libstdc++.so.5 disappeared

    I see. In the past (using debian), I was able to run rather old distributions but still update software to the latest version using the package manager but at that time, I was connected to an online repository.

    I don't know how I would do this without internet access so I had thought that I would beable to use the latest suse cd and use those packages. Since this will not work, what would be the suggested course of action for my situation. What would be the best way to upgrade python (and dependencies) or any other package for that matter?

  4. #4

    Default Re: libstdc++.so.5 disappeared

    The best way would be to install a newer version of the OS, especially as support for 9.1 ended years ago.

    SUSE Linux Lifetime - openSUSE

    //Edit:

    Comparing this to Debian, you are just trying to install the newest python into woody or sarge using packages from testing/unstable, how well would that work?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •